## remmina 1.1.2

=== CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

set(CMAKE_COLOR_MAKEFILE ON)

project(Remmina C)

include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FindPkgConfig)
include(CheckCCompilerFlag)
include(GNUInstallDirs)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)

include(FindOptionalPackage)
include(ConfigOptions)

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

if(NOT BUILD_SHARED_LIBS)
    set(BUILD_SHARED_LIBS ON)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
	if(WITH_SSE2)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -msse2")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-result Wno-unused-result)
	if(Wno-unused-result)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-result")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-but-set-variable Wno-unused-but-set-variable)
	if(Wno-unused-but-set-variable)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-but-set-variable")
	endif()
	CHECK_C_COMPILER_FLAG(-Wno-unused-function Wno-unused-function)
	if(Wno-unused-function)
		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-function")
	endif()
endif()

check_include_files(sys/param.h HAVE_SYS_PARAM_H)
check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
check_include_files(arpa/inet.h HAVE_ARPA_INET_H)
check_include_files(netinet/in.h HAVE_NETINET_IN_H)
check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(netdb.h HAVE_NETDB_H)
check_include_files(fcntl.h HAVE_FCNTL_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(errno.h HAVE_ERRNO_H)

include_directories(.)
include_directories(remmina/include)

# Versioning
set(WITH_LIBRARY_VERSIONING "ON")
set(REMMINA_VERSION_MAJOR "1")
set(REMMINA_VERSION_MINOR "1")
set(REMMINA_VERSION_REVISION "2")
#^set(REMMINA_VERSION_SUFFIX "")
set(REMMINA_VERSION "${REMMINA_VERSION_MAJOR}.${REMMINA_VERSION_MINOR}.${REMMINA_VERSION_REVISION}")

set(REMMINA_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}")
set(REMMINA_LOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")
set(REMMINA_PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/remmina/plugins")

find_required_package(GTK)
find_suggested_package(PTHREAD)
find_suggested_package(GCRYPT)
find_suggested_package(AVAHI)

if(PTHREAD_FOUND)
	add_definitions(-DHAVE_PTHREAD)
endif()

if(GCRYPT_FOUND)
	add_definitions(-DHAVE_LIBGCRYPT)
endif()

if(AVAHI_FOUND)
	add_definitions(-DHAVE_LIBAVAHI_UI)
	add_definitions(-DHAVE_LIBAVAHI_CLIENT)
endif()

if(GTK_FOUND)
	add_subdirectory(remmina)
	add_subdirectory(remmina-plugins)
	add_subdirectory(remmina-plugins-gnome)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/config.h)

install(DIRECTORY include/remmina DESTINATION include/remmina FILES_MATCHING PATTERN "*.h")

=== remmina-plugins-gnome/CMakeLists.txt ===
# remmina-plugins-gnome - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


find_suggested_package(GNOMEKEYRING)
if(GNOMEKEYRING_FOUND)
	set(REMMINA_PLUGINS_GNOME_SRCS
		src/gkeyring_plugin.c
		)

	add_library(remmina-plugins-gnome ${REMMINA_PLUGINS_GNOME_SRCS})
	set_target_properties(remmina-plugins-gnome PROPERTIES PREFIX "")
	set_target_properties(remmina-plugins-gnome PROPERTIES NO_SONAME 1)

	include_directories(${GTK_INCLUDE_DIRS})
	target_link_libraries(remmina-plugins-gnome ${GTK_LIBRARY_DIRS})

		include_directories(${GNOMEKEYRING_INCLUDE_DIRS})
		target_link_libraries(remmina-plugins-gnome ${GNOMEKEYRING_LIBRARIES})

	install(TARGETS remmina-plugins-gnome DESTINATION ${REMMINA_PLUGINDIR})
endif()

=== remmina-plugins/CMakeLists.txt ===
# Remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


include_directories(${CMAKE_SOURCE_DIR}/remmina-plugins)

set(APPICON16_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/emblems")
set(APPICON22_EMBLEMS_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/emblems")

set(REMMINA_COMMON_INCLUDE_DIRS ${GTK_INCLUDE_DIRS})
set(REMMINA_COMMON_LIBRARIES ${GTK_LIBRARIES})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
	add_definitions(-DHAVE_LIBSSH)
	include_directories(${SSH_INCLUDE_DIRS})
	target_link_libraries(remmina ${SSH_LIBRARIES})
endif()

find_required_package(LIBVNCSERVER)

find_required_package(XKBFILE)

if(LIBSSH_FOUND AND XKBFILE_FOUND)
	add_subdirectory(nx)
endif()

add_subdirectory(xdmcp)

find_suggested_package(FREERDP)
if(FREERDP_FOUND)
	add_subdirectory(rdp)
endif()

find_suggested_package(TELEPATHY)
if(TELEPATHY_FOUND)
	add_subdirectory(telepathy)
endif()

find_suggested_package(ZLIB)

if(ZLIB_FOUND)
	add_subdirectory(vnc)
endif()

if(WITH_TRANSLATIONS)
	add_subdirectory(po)
endif()

=== remmina/CMakeLists.txt ===
# src/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


cmake_minimum_required(VERSION 2.8)

set(REMMINA_SRCS
	src/remmina_about.c
	src/remmina_about.h
	src/remmina_applet_menu.c
	src/remmina_applet_menu.h
	src/remmina_applet_menu_item.c
	src/remmina_applet_menu_item.h
	src/remmina_avahi.c
	src/remmina_avahi.h
	src/remmina.c
	src/remmina_chain_button.c
	src/remmina_chain_button.h
	src/remmina_chat_window.c
	src/remmina_chat_window.h
	src/remmina_connection_window.c
	src/remmina_connection_window.h
	src/remmina_crypt.c
	src/remmina_crypt.h
	src/remmina_exec.c
	src/remmina_exec.h
	src/remmina_file.c
	src/remmina_file_editor.c
	src/remmina_file_editor.h
	src/remmina_file.h
	src/remmina_file_manager.c
	src/remmina_file_manager.h
	src/remmina_ftp_client.c
	src/remmina_ftp_client.h
	src/remmina_icon.c
	src/remmina_icon.h
	src/remmina_init_dialog.c
	src/remmina_init_dialog.h
	src/remmina_key_chooser.c
	src/remmina_key_chooser.h
	src/remmina_log.c
	src/remmina_log.h
	src/remmina_main.c
	src/remmina_main.h
	src/remmina_marshals.c
	src/remmina_marshals.h
	src/remmina_marshals.list
	src/remmina_plugin_manager.c
	src/remmina_plugin_manager.h
	src/remmina_pref.c
	src/remmina_pref_dialog.c
	src/remmina_pref_dialog.h
	src/remmina_pref.h
	src/remmina_protocol_widget.c
	src/remmina_protocol_widget.h
	src/remmina_public.c
	src/remmina_public.h
	src/remmina_scaler.c
	src/remmina_scaler.h
	src/remmina_scrolled_viewport.c
	src/remmina_scrolled_viewport.h
	src/remmina_sftp_client.c
	src/remmina_sftp_client.h
	src/remmina_sftp_plugin.c
	src/remmina_sftp_plugin.h
	src/remmina_ssh.c
	src/remmina_ssh.h
	src/remmina_ssh_plugin.c
	src/remmina_ssh_plugin.h
	src/remmina_string_array.c
	src/remmina_string_array.h
	src/remmina_string_list.c
	src/remmina_string_list.h
	src/remmina_widget_pool.c
	src/remmina_widget_pool.h
	src/remmina_external_tools.c
	src/remmina_external_tools.h
	)

add_executable(remmina ${REMMINA_SRCS})

include_directories(${GTK_INCLUDE_DIRS})
target_link_libraries(remmina ${GTK_LIBRARIES})

find_package(X11)
include_directories(${X11_INCLUDE_DIR})
target_link_libraries(remmina ${X11_LIBRARIES})

find_suggested_package(LIBSSH)
if(LIBSSH_FOUND)
	add_definitions(-DHAVE_LIBSSH)
	include_directories(${LIBSSH_INCLUDE_DIRS})
	target_link_libraries(remmina ${LIBSSH_LIBRARIES})
endif()

if(PTHREAD_FOUND)
	include_directories(${PTHREAD_INCLUDE_DIRS})
	target_link_libraries(remmina ${PTHREAD_LIBRARIES})
endif()

if(GCRYPT_FOUND)
	include_directories(${GCRYPT_INCLUDE_DIRS})
	target_link_libraries(remmina ${GCRYPT_LIBRARIES})
endif()

if(AVAHI_FOUND)
	include_directories(${AVAHI_INCLUDE_DIRS})
	target_link_libraries(remmina ${AVAHI_LIBRARIES})
endif()

option(WITH_VTE "Build with support for VTE" ON)
if(GTK3_FOUND AND WITH_VTE)
	set(_VTE_VERSION_NUMS 2.91 2.90)
	foreach(__VTE_VERSION ${_VTE_VERSION_NUMS})
		set(_VTE_VERSION_NUM ${__VTE_VERSION})
		find_package(VTE)
		if(VTE_FOUND)
			break()
		endif()
		message(STATUS "VTE ${__VTE_VERSION} not found")
	endforeach(__VTE_VERSION)
elseif(WITH_VTE)
	set(_VTE_VERSION_NUM)
	find_package(VTE)
endif()

if (VTE_FOUND)
        add_definitions(-DHAVE_LIBVTE)
        include_directories(${VTE_INCLUDE_DIRS})
        target_link_libraries(remmina ${VTE_LIBRARIES})
endif()

if(GTK3_FOUND)
	find_suggested_package(APPINDICATOR)
	if(APPINDICATOR_FOUND)
		add_definitions(-DHAVE_LIBAPPINDICATOR)
		include_directories(${APPINDICATOR_INCLUDE_DIRS})
		target_link_libraries(remmina ${APPINDICATOR_LIBRARIES})
	endif()
endif()

if(WITH_TRANSLATIONS)
	add_subdirectory(po)
endif()
add_subdirectory(icons)
add_subdirectory(desktop)
add_subdirectory(external_tools)

install(TARGETS remmina DESTINATION ${CMAKE_INSTALL_BINDIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/remmina.pc.in ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/remmina.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== remmina-plugins/nx/CMakeLists.txt ===
# remmina-plugin-nx - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_NX_SRCS
	nx_session.c
	nx_session.h
	nx_session_manager.c
	nx_session_manager.h
	nx_plugin.c
	nx_plugin.h
	)

add_library(remmina-plugin-nx ${REMMINA_PLUGIN_NX_SRCS})
set_target_properties(remmina-plugin-nx PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-nx PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${XKBFILE_INCLUDE_DIRS} ${LIBSSH_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-nx ${REMMINA_COMMON_LIBRARIES} ${XKBFILE_LIBRARIES} ${LIBSSH_LIBRARIES})

install(TARGETS remmina-plugin-nx DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-nx.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-nx.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina-plugins/po/CMakeLists.txt ===
# po/remmina-plugins - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


include(GETTEXT)
gettext(${CMAKE_CURRENT_SOURCE_DIR} "remmina-plugins")

=== remmina-plugins/rdp/CMakeLists.txt ===
# remmina-plugin-rdp - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(CMAKE_THREAD_PREFER_PTHREAD)
find_package(Threads)

set(REMMINA_PLUGIN_RDP_SRCS
	rdp_plugin.c
	rdp_plugin.h
	rdp_event.c
	rdp_event.h
	rdp_file.c
	rdp_file.h
	rdp_settings.c
	rdp_settings.h
	rdp_gdi.c
	rdp_gdi.h
	rdp_graphics.c
	rdp_graphics.h
	rdp_cliprdr.c
	rdp_cliprdr.h
	)

add_library(remmina-plugin-rdp ${REMMINA_PLUGIN_RDP_SRCS})
set_target_properties(remmina-plugin-rdp PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-rdp PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${FREERDP_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-rdp ${REMMINA_COMMON_LIBRARIES} ${FREERDP_LIBRARIES})

install(TARGETS remmina-plugin-rdp DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-rdp-ssh.png 16x16/emblems/remmina-rdp.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-rdp-ssh.png 22x22/emblems/remmina-rdp.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina-plugins/telepathy/CMakeLists.txt ===
# remmina-plugin-telepathy - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_TELEPATHY_SRCS
	telepathy_plugin.c
	)

add_library(remmina-plugin-telepathy ${REMMINA_PLUGIN_TELEPATHY_SRCS})
set_target_properties(remmina-plugin-telepathy PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-telepathy PROPERTIES NO_SONAME 1)

find_required_package(GTK3)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${TELEPATHY_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-telepathy ${REMMINA_COMMON_LIBRARIES} ${TELEPATHY_LIBRARIES})

install(TARGETS remmina-plugin-telepathy DESTINATION ${REMMINA_PLUGINDIR})

=== remmina-plugins/vnc/CMakeLists.txt ===
# remmina-plugin-vnc - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(LIBVNCSERVER_INCLUDE_DIRS)
set(LIBVNCSERVER_LIBRARIES vncclient)

set(REMMINA_PLUGIN_VNC_SRCS
	vnc_plugin.c
	)

add_library(remmina-plugin-vnc ${REMMINA_PLUGIN_VNC_SRCS})
set_target_properties(remmina-plugin-vnc PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-vnc PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS} ${LIBVNCSERVER_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-vnc ${REMMINA_COMMON_LIBRARIES} ${LIBVNCSERVER_LIBRARIES})

install(TARGETS remmina-plugin-vnc DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-vnc-ssh.png 16x16/emblems/remmina-vnc.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-vnc-ssh.png 22x22/emblems/remmina-vnc.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina-plugins/xdmcp/CMakeLists.txt ===
# remmina-plugin-xdmcp - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(REMMINA_PLUGIN_XDMCP_SRCS
	xdmcp_plugin.c
	)

add_library(remmina-plugin-xdmcp ${REMMINA_PLUGIN_XDMCP_SRCS})
set_target_properties(remmina-plugin-xdmcp PROPERTIES PREFIX "")
set_target_properties(remmina-plugin-xdmcp PROPERTIES NO_SONAME 1)

include_directories(${REMMINA_COMMON_INCLUDE_DIRS})
target_link_libraries(remmina-plugin-xdmcp ${REMMINA_COMMON_LIBRARIES})

install(TARGETS remmina-plugin-xdmcp DESTINATION ${REMMINA_PLUGINDIR})

install(FILES 16x16/emblems/remmina-xdmcp-ssh.png 16x16/emblems/remmina-xdmcp.png DESTINATION ${APPICON16_EMBLEMS_DIR})
install(FILES 22x22/emblems/remmina-xdmcp-ssh.png 22x22/emblems/remmina-xdmcp.png DESTINATION ${APPICON22_EMBLEMS_DIR})

=== remmina/desktop/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, 
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.


set(ICON16_DIR "${REMMINA_DATADIR}/icons/hicolor/16x16/apps")
set(ICON22_DIR "${REMMINA_DATADIR}/icons/hicolor/22x22/apps")
set(ICON24_DIR "${REMMINA_DATADIR}/icons/hicolor/24x24/apps")
set(ICON32_DIR "${REMMINA_DATADIR}/icons/hicolor/32x32/apps")
set(ICON48_DIR "${REMMINA_DATADIR}/icons/hicolor/48x48/apps")
set(ICONSVG_DIR "${REMMINA_DATADIR}/icons/hicolor/scalable/apps")

set(ICON16_DATA 16x16/apps/remmina.png)
set(ICON22_DATA 22x22/apps/remmina.png)
set(ICON24_DATA 24x24/apps/remmina.png)
set(ICON32_DATA 32x32/apps/remmina.png)
set(ICON48_DATA 48x48/apps/remmina.png)
set(ICONSVG_DATA scalable/apps/remmina.svg)

install(FILES ${ICON16_DATA} DESTINATION ${ICON16_DIR})
install(FILES ${ICON22_DATA} DESTINATION ${ICON22_DIR})
install(FILES ${ICON24_DATA} DESTINATION ${ICON24_DIR})
install(FILES ${ICON32_DATA} DESTINATION ${ICON32_DIR})
install(FILES ${ICON48_DATA} DESTINATION ${ICON48_DIR})
install(FILES ${ICONSVG_DATA} DESTINATION ${ICONSVG_DIR})

install(FILES remmina.desktop DESTINATION "${REMMINA_DATADIR}/applications")

=== remmina/external_tools/CMakeLists.txt ===
# desktop/remmina - The GTK+ Remote Desktop Client
#
# Copyright (C) 2011 Marc-Andre Moreau
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307, USA.
#
# In addition, as a special exception, the copyright holders give
# permission to link the code of portions of this program with the
# OpenSSL library under certain conditions as described in each
# individual source file, and distribute linked combinations
# including the two.
# You must obey the GNU General Public License in all respects
# for all of the code used other than OpenSSL. If you modify
# file(s) with this exception, you may extend this exception to your
# version of the file(s), but you are not obligated to do so. If you
# do not wish to do so, delete this exception statement from your
# version. If you delete this exception statement from all source
# files in the program, then also delete it here.

set(EXTERNAL_TOOLS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/remmina/external_tools")

INSTALL(PROGRAMS launcher.sh pause.sh remmina_filezilla_sftp.sh remmina_filezilla_sftp_pki.sh remmina_nslookup.sh remmina_ping.sh remmina_traceroute.sh DESTINATION ${EXTERNAL_TOOLS_DIR})

=== debian/changelog ===
remmina (1.1.2-4ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libappindicator3-dev, intltool to enable
      support
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
      - disable 0005-desktop.patch included in translations.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Jan 2017 22:27:53 +0100

remmina (1.1.2-4) unstable; urgency=medium

  * debian/control:
    - Change homepage.
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-* to secure uri.
    - Change cmake release to >= 3.5.
    - Switch Depends from dbus-x11 to
      default-dbus-session-bus | dbus-session-bus (Closes: #836045).
    - Remove unneeded versions from Depends.
  * Rename patches.
  * Add 2016 at debian/copyright.
  * New debian/paches/0705-wayland.patch (Closes: #801963):
    - Disable wayland to prevend system crashes.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Change debhelper version in debian/control to >= 10.
  * Remove not longer needed debian/menu.
  * Rewrite debian/watch.
  * Update patch 0700-desktop.patch by adding the list separator at the end of
    the Keywords key: this makes remmina.desktop valid (Closes: #812479).
    Thanks to Pino Toscano <pino@debian.org>.
  * New debian/README.debian:
    - Add section about keymapping (Closes: #763723).
  * debian/rules:
    - Enable hardening.
  * Use the automatic debug symbol packages:
    - debian/control: Remove remmina-dbg.
    - debian/rules: Remove --dbg-package=remmina-dbg

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 27 Dec 2016 13:58:18 +0100

remmina (1.1.2-3ubuntu2) yakkety; urgency=medium

  * debian/control.in:
    - Build-depend on libgnutls28-dev instead of libgnutls-dev
    - Depend on default-dbus-session-bus | dbus-session-bus instead of
      dbus-x11 (Closes: #836045)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2016 23:15:02 -0400

remmina (1.1.2-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1556383).  Remaining changes:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev
    + debian/control:
      - Build-depend on libappindicator3-dev, intltool
    + debian/rules:
      - Build with libappindicator
      - Call intltool-update on build
    + debian/patches/translations.patch,
      - Make translatable and add keywords.
      - disable 0005-desktop.patch included in translations.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Mar 2016 09:05:49 +0100

remmina (1.1.2-3) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New Maintainer. (Closes: #755303)
  * debian/control:
    - Set myself as Maintainer.
    - Reorder *-Depends.
    - Change requested cmake version to >= 2.8.
    - Change Vcs-* to new cgit based repository viewer.
  * debian/copyright:
    - Add myself to the list of authors for debian/*.
    - Change GPL-2+ to GPL-2+ with SSL exception.
  * debian/watch:
    - Add changes from bartm.
      Thanks to Bart Martens <bartm@debian.org>

  [ Luca Falavigna ]
  * debian/control:
    - Switch to vte 2.91 (Closes: #788020).
    - Remove obsolete Breaks/Replaces fields.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 30 Sep 2015 19:15:27 +0200

remmina (1.1.2-2ubuntu3) wily; urgency=medium

  * debian/control:
    - Switch build depends from transitional libgnutsl28-dev to libgnutls-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 11 Aug 2015 11:36:46 +1200

remmina (1.1.2-2ubuntu2) wily; urgency=medium

  * No change rebuild for new libvncclient1

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 01 Jun 2015 23:09:12 -0500

remmina (1.1.2-2ubuntu1) wily; urgency=low

  * Merge with Debian, remaining Ubuntu changes:
    + debian/control:
      - Build-depend on libappindicator3-dev, intltool
      - Switch vte Build-Depends to 2.91
    + debian/rules:
      - Build with libappindicator
      - Call intltool-update on build
    + debian/patches/translations.patch,
      - Make translatable and add keywords.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 18 May 2015 15:53:17 +0100

remmina (1.1.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 26 Apr 2015 10:16:06 +0200

remmina (1.1.2-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
    - Drop RDP_certificate_crash.patch, already available upstream.
    - Fix bugs with plugins using GtkSocket.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 19 Dec 2014 09:08:46 +0100

remmina (1.1.1-1ubuntu1) vivid; urgency=low

  * Merge with Debian, remaining Ubuntu changes: (LP: #1358770)
    + debian/control:
      - Build-depend on libappindicator3-dev, intltool
    + debian/rules:
      - Build with libappindicator
      - Call intltool-update on build
    + debian/patches/translations.patch,
      - Make translatable and add keywords.
  * Dropped changes:
    - Add Breaks and Replaces from remmina to remmina-common as the .desktop
      file has moved across. Not required any more as this more than one LTS
      ago.
    - Set keywords in desktop file to make searchable. Merged into
      translations.patch.
    - Add quick lists for the unity launcher. Upstream now.
      Set a title so the unity-hud doesn't list as "untitled". Upstream now.
  * Port to work with vte 2.91

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 07 Nov 2014 16:17:53 +0000

=== debian/control ===
Source: remmina
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 cmake (>= 3.5),
 debhelper (>= 10~),
 libavahi-ui-gtk3-dev,
 libfreerdp-dev,
 libgcrypt20-dev,
 libgnome-keyring-dev,
 libgnutls28-dev,
 libgtk-3-dev,
 libjpeg-dev,
 libssh-dev,
 libtelepathy-glib-dev,
 libvncserver-dev,
 libvte-2.91-dev,
 libxkbfile-dev,
 libappindicator3-dev,
 intltool
Standards-Version: 3.9.8
Homepage: http://www.remmina.org/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/remmina.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/remmina.git

Package: remmina
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus
Recommends:
 remmina-plugin-rdp,
 remmina-plugin-vnc
Description: remote desktop client for GNOME desktop environment
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 It supports multiple network protocols in an integrated and consistent user
 interface. Currently RDP, VNC, NX, XDMCP and SSH protocols are supported.

Package: remmina-common
Architecture: all
Depends: ${misc:Depends}
Recommends: remmina
Description: common files for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the common files.

Package: remmina-plugin-rdp
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Recommends: libfreerdp-plugins-standard
Description: RDP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the RDP plugin for Remmina.

Package: remmina-plugin-vnc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: VNC plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the VNC plugin for Remmina.

Package: remmina-plugin-xdmcp
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 xserver-xephyr
Description: XDMCP plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the XDMCP plugin for Remmina.

Package: remmina-plugin-nx
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version}),
 nxproxy
Description: NX plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the NX plugin for Remmina.

Package: remmina-plugin-telepathy
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: Telepathy plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the Telepathy plugin for Remmina.

Package: remmina-plugin-gnome
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 remmina (= ${binary:Version})
Description: GNOME plugin for remmina remote desktop client
 Remmina is a remote desktop connection client able to display and control a
 remote desktop session.
 .
 This package contains the GNOME Keyring plugin for Remmina, which allows one
 to store and retrieve passwords from GNOME Keyring.

=== debian/rules ===
#!/usr/bin/make -f

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_install:
	dh_install
	cd remmina/po; intltool-update --pot --verbose -g remmina
	[ -d debian/remmina-common ] && \
		find $(CURDIR)/debian/remmina-common -name "*remmina.desktop" -delete && \
		find $(CURDIR)/debian/remmina-common -type d -empty -delete || true

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_clean:
	-rm remmina/po/remmina.pot
	dh_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/remmina_$1\.tar\.gz/ \
https://github.com/FreeRDP/Remmina/releases /FreeRDP/Remmina/archive/v(.+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
